MethodInfo
Date: 2015-09-18

org.mockito.internal.stubbing.answers

## Class MethodInfo

- java.lang.Object
- - org.mockito.internal.stubbing.answers.MethodInfo

- All Implemented Interfaces:
    AbstractAwareMethod

      public class MethodInfo
      extends java.lang.Object
      implements AbstractAwareMethod

  by Szczepan Faber, created at: 3/31/12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInfo(Invocation theInvocation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Method` | `getMethod()`
    `java.lang.String` | `getMethodName()`
    `boolean` | `isAbstract()`
    `boolean` | `isDeclaredOnInterface()`
    `boolean` | `isValidException(java.lang.Throwable throwable)`
    `boolean` | `isValidReturnType(java.lang.Class clazz)`
    `boolean` | `isVoid()`
    `java.lang.String` | `printMethodReturnType()`
    `boolean` | `returnsPrimitive()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodInfo

          public MethodInfo(Invocation theInvocation)

  - ### Method Detail

    - #### isValidException

          public boolean isValidException(java.lang.Throwable throwable)

    - #### isValidReturnType

          public boolean isValidReturnType(java.lang.Class clazz)

    - #### isVoid

          public boolean isVoid()

    - #### printMethodReturnType

          public java.lang.String printMethodReturnType()

    - #### getMethodName

          public java.lang.String getMethodName()

    - #### returnsPrimitive

          public boolean returnsPrimitive()

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### isDeclaredOnInterface

          public boolean isDeclaredOnInterface()

    - #### isAbstract

          public boolean isAbstract()

      Specified by:
        `isAbstract` in interface `AbstractAwareMethod`